# Class SetConnectionRequest

#### Hierarchy

- unknown
  - SetConnectionRequest

- Defined in src/protobuf/grpc_pb.d.ts:954
- Defined in src/protobuf/grpc_pb.d.ts:971

#####
Index

### Constructors

constructor

### Methods

clearConnection
getConnection
getUrl
hasConnection
serializeBinary
setConnection
setUrl
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SetConnectionRequest(): SetConnectionRequest

- #### Returns SetConnectionRequest

  Inherited from jspb.Message.constructor

## Methods

### clearConnection

- clearConnection(): SetConnectionRequest

- #### Returns SetConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:961

### getConnection

- getConnection(): undefined | UrlConnection

- #### Returns undefined | UrlConnection

  - Defined in src/protobuf/grpc_pb.d.ts:958

### getUrl

- getUrl(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:955

### hasConnection

- hasConnection(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:960

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:963

### setConnection

- setConnection(value?: UrlConnection): SetConnectionRequest

- #### Parameters

  - ##### `Optional` value: UrlConnection

  #### Returns SetConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:959

### setUrl

- setUrl(value: string): SetConnectionRequest

- #### Parameters

  - ##### value: string

  #### Returns SetConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:956

### toObject

- toObject(includeInstance?: boolean): SetConnectionRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SetConnectionRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:964

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SetConnectionRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SetConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:967

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SetConnectionRequest, reader: BinaryReader): SetConnectionRequest

- #### Parameters

  - ##### message: SetConnectionRequest

  - ##### reader: BinaryReader

  #### Returns SetConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:968

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SetConnectionRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SetConnectionRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:966

### `Static` toObject

- toObject(includeInstance: boolean, msg: SetConnectionRequest): SetConnectionRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SetConnectionRequest

  #### Returns SetConnectionRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:965

Generated using TypeDoc